CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | List of all members
CGTKTextView Class Reference
Inheritance diagram for CGTKTextView:
[legend]
Collaboration diagram for CGTKTextView:
[legend]

## Instance Methods
(id) | - init
(id) | - initWithBuffer:
(GtkTextView *) | - TEXTVIEW
(void) | - addChildAtAnchorWithChild:andAnchor:
(void) | - addChildInWindowWithChild:andWhichWindow:andXpos:andYpos:
(BOOL) | - backwardDisplayLine:
(BOOL) | - backwardDisplayLineStart:
(void) | - bufferToWindowCoordsWithWin:andBufferX:andBufferY:andWindowX:andWindowY:
(BOOL) | - forwardDisplayLine:
(BOOL) | - forwardDisplayLineEnd:
(BOOL) | - getAcceptsTab
(gint) | - getBorderWindowSize:
(gint) | - getBottomMargin
(GtkTextBuffer *) | - getBuffer
(void) | - getCursorLocationsWithIter:andStrong:andWeak:
(BOOL) | - getCursorVisible
(GtkTextAttributes *) | - getDefaultAttributes
(BOOL) | - getEditable
(GtkAdjustment *) | - getHadjustment
(gint) | - getIndent
(GtkInputHints) | - getInputHints
(GtkInputPurpose) | - getInputPurpose
(BOOL) | - getIterAtLocationWithIter:andX:andY:
(BOOL) | - getIterAtPositionWithIter:andTrailing:andX:andY:
(void) | - getIterLocationWithIter:andLocation:
(GtkJustification) | - getJustification
(gint) | - getLeftMargin
(void) | - getLineAtYWithTargetIter:andY:andLineTop:
(void) | - getLineYrangeWithIter:andY:andHeight:
(BOOL) | - getMonospace
(BOOL) | - getOverwrite
(gint) | - getPixelsAboveLines
(gint) | - getPixelsBelowLines
(gint) | - getPixelsInsideWrap
(gint) | - getRightMargin
(PangoTabArray *) | - getTabs
(gint) | - getTopMargin
(GtkAdjustment *) | - getVadjustment
(void) | - getVisibleRect:
(GdkWindow *) | - getWindow:
(GtkTextWindowType) | - getWindowType:
(GtkWrapMode) | - getWrapMode
(BOOL) | - imContextFilterKeypress:
(void) | - moveChildWithChild:andXpos:andYpos:
(BOOL) | - moveMarkOnscreen:
(BOOL) | - moveVisuallyWithIter:andCount:
(BOOL) | - placeCursorOnscreen
(void) | - resetCursorBlink
(void) | - resetImContext
(void) | - scrollMarkOnscreen:
(BOOL) | - scrollToIterWithIter:andWithinMargin:andUseAlign:andXalign:andYalign:
(void) | - scrollToMarkWithMark:andWithinMargin:andUseAlign:andXalign:andYalign:
(void) | - setAcceptsTab:
(void) | - setBorderWindowSizeWithType:andSize:
(void) | - setBottomMargin:
(void) | - setBuffer:
(void) | - setCursorVisible:
(void) | - setEditable:
(void) | - setIndent:
(void) | - setInputHints:
(void) | - setInputPurpose:
(void) | - setJustification:
(void) | - setLeftMargin:
(void) | - setMonospace:
(void) | - setOverwrite:
(void) | - setPixelsAboveLines:
(void) | - setPixelsBelowLines:
(void) | - setPixelsInsideWrap:
(void) | - setRightMargin:
(void) | - setTabs:
(void) | - setTopMargin:
(void) | - setWrapMode:
(BOOL) | - startsDisplayLine:
(void) | - windowToBufferCoordsWithWin:andWindowX:andWindowY:andBufferX:andBufferY:
Instance Methods inherited from CGTKContainer
(GtkContainer *) | - CONTAINER
(void) | - addWidget:withProperties:
(void) | - add:
(void) | - checkResize
(void) | - childGetPropertyWithChild:andPropertyName:andValue:
(void) | - childGetValistWithChild:andFirstPropertyName:andVarArgs:
(void) | - childNotifyWithChild:andChildProperty:
(void) | - childNotifyByPspecWithChild:andPspec:
(void) | - childSetPropertyWithChild:andPropertyName:andValue:
(void) | - childSetValistWithChild:andFirstPropertyName:andVarArgs:
(GType) | - childType
(void) | - forallWithCallback:andCallbackData:
(void) | - foreachWithCallback:andCallbackData:
(guint) | - getBorderWidth
(GList *) | - getChildren
(BOOL) | - getFocusChain:
(CGTKWidget *) | - getFocusChild
(GtkAdjustment *) | - getFocusHadjustment
(GtkAdjustment *) | - getFocusVadjustment
(GtkWidgetPath *) | - getPathForChild:
(GtkResizeMode) | - getResizeMode
(void) | - propagateDrawWithChild:andCr:
(void) | - remove:
(void) | - resizeChildren
(void) | - setBorderWidth:
(void) | - setFocusChain:
(void) | - setFocusChild:
(void) | - setFocusHadjustment:
(void) | - setFocusVadjustment:
(void) | - setReallocateRedraws:
(void) | - setResizeMode:
(void) | - unsetFocusChain
Instance Methods inherited from CGTKWidget
(GtkWidget *) | - WIDGET
(BOOL) | - activate
(void) | - addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:
(void) | - addDeviceEventsWithDevice:andEvents:
(void) | - addEvents:
(void) | - addMnemonicLabel:
(guint) | - addTickCallbackWithCallback:andUserData:andNotify:
(BOOL) | - canActivateAccel:
(BOOL) | - childFocus:
(void) | - childNotify:
(void) | - classPathWithPathLength:andPath:andPathReversed:
(BOOL) | - computeExpand:
(PangoContext *) | - createPangoContext
(PangoLayout *) | - createPangoLayout:
(void) | - destroy
(void) | - destroyed:
(BOOL) | - deviceIsShadowed:
(GdkDragContext *) | - gtkDragBeginWithTargets:andActions:andButton:andEvent:
(GdkDragContext *) | - gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:
(BOOL) | - gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:
(void) | - gtkDragDestAddImageTargets
(void) | - gtkDragDestAddTextTargets
(void) | - gtkDragDestAddUriTargets
(GdkAtom) | - gtkDragDestFindTargetWithContext:andTargetList:
(GtkTargetList *) | - gtkDragDestGetTargetList
(BOOL) | - gtkDragDestGetTrackMotion
(void) | - gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:
(void) | - gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:
(void) | - gtkDragDestSetTargetList:
(void) | - gtkDragDestSetTrackMotion:
(void) | - gtkDragDestUnset
(void) | - gtkDragGetDataWithContext:andTarget:andTime:
(void) | - gtkDragHighlight
(void) | - gtkDragSourceAddImageTargets
(void) | - gtkDragSourceAddTextTargets
(void) | - gtkDragSourceAddUriTargets
(GtkTargetList *) | - gtkDragSourceGetTargetList
(void) | - gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - gtkDragSourceSetIconGicon:
(void) | - gtkDragSourceSetIconName:
(void) | - gtkDragSourceSetIconPixbuf:
(void) | - gtkDragSourceSetIconStock:
(void) | - gtkDragSourceSetTargetList:
(void) | - gtkDragSourceUnset
(void) | - gtkDragUnhighlight
(void) | - draw:
(void) | - ensureStyle
(void) | - errorBell
(BOOL) | - event:
(void) | - freezeChildNotify
(AtkObject *) | - getAccessible
(GActionGroup *) | - getActionGroup:
(int) | - getAllocatedBaseline
(int) | - getAllocatedHeight
(void) | - getAllocatedSizeWithAllocation:andBaseline:
(int) | - getAllocatedWidth
(void) | - getAllocation:
(CGTKWidget *) | - getAncestor:
(BOOL) | - getAppPaintable
(BOOL) | - getCanDefault
(BOOL) | - getCanFocus
(void) | - getChildRequisition:
(BOOL) | - getChildVisible
(void) | - getClip:
(GtkClipboard *) | - getClipboard:
(NSString *) | - getCompositeName
(BOOL) | - getDeviceEnabled:
(GdkEventMask) | - getDeviceEvents:
(GtkTextDirection) | - getDirection
(GdkDisplay *) | - getDisplay
(BOOL) | - getDoubleBuffered
(gint) | - getEvents
(BOOL) | - getFocusOnClick
(PangoFontMap *) | - getFontMap
(const cairo_font_options_t *) | - getFontOptions
(GdkFrameClock *) | - getFrameClock
(GtkAlign) | - getHalign
(BOOL) | - getHasTooltip
(BOOL) | - getHasWindow
(BOOL) | - getHexpand
(BOOL) | - getHexpandSet
(BOOL) | - getMapped
(gint) | - getMarginBottom
(gint) | - getMarginEnd
(gint) | - getMarginLeft
(gint) | - getMarginRight
(gint) | - getMarginStart
(gint) | - getMarginTop
(GdkModifierType) | - getModifierMask:
(GtkRcStyle *) | - getModifierStyle
(NSString *) | - getName
(BOOL) | - getNoShowAll
(double) | - getOpacity
(PangoContext *) | - getPangoContext
(CGTKWidget *) | - getParent
(GdkWindow *) | - getParentWindow
(GtkWidgetPath *) | - getPath
(void) | - getPointerWithX:andY:
(void) | - getPreferredHeightWithMinimumHeight:andNaturalHeight:
(void) | - getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:
(void) | - getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:
(void) | - getPreferredSizeWithMinimumSize:andNaturalSize:
(void) | - getPreferredWidthWithMinimumWidth:andNaturalWidth:
(void) | - getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:
(BOOL) | - getRealized
(BOOL) | - getReceivesDefault
(GtkSizeRequestMode) | - getRequestMode
(void) | - getRequisition:
(GdkWindow *) | - getRootWindow
(gint) | - getScaleFactor
(GdkScreen *) | - getScreen
(BOOL) | - getSensitive
(GtkSettings *) | - getSettings
(void) | - getSizeRequestWithWidth:andHeight:
(GtkStateType) | - getState
(GtkStateFlags) | - getStateFlags
(GtkStyle *) | - getStyle
(GtkStyleContext *) | - getStyleContext
(BOOL) | - getSupportMultidevice
(GObject *) | - getTemplateChildWithWidgetType:andName:
(NSString *) | - getTooltipMarkup
(NSString *) | - getTooltipText
(GtkWindow *) | - getTooltipWindow
(CGTKWidget *) | - getToplevel
(GtkAlign) | - getValign
(GtkAlign) | - getValignWithBaseline
(BOOL) | - getVexpand
(BOOL) | - getVexpandSet
(BOOL) | - getVisible
(GdkVisual *) | - getVisual
(GdkWindow *) | - getWindow
(void) | - gtkGrabAdd
(void) | - grabDefault
(void) | - grabFocus
(void) | - gtkGrabRemove
(BOOL) | - hasDefault
(BOOL) | - hasFocus
(BOOL) | - hasGrab
(BOOL) | - hasRcStyle
(BOOL) | - hasScreen
(BOOL) | - hasVisibleFocus
(void) | - hide
(BOOL) | - hideOnDelete
(BOOL) | - inDestruction
(void) | - initTemplate
(void) | - inputShapeCombineRegion:
(void) | - insertActionGroupWithName:andGroup:
(BOOL) | - intersectWithArea:andIntersection:
(BOOL) | - isAncestor:
(BOOL) | - isComposited
(BOOL) | - isDrawable
(BOOL) | - isFocus
(BOOL) | - isSensitive
(BOOL) | - isToplevel
(BOOL) | - isVisible
(BOOL) | - keynavFailed:
(GList *) | - listAccelClosures
(const gchar **) | - listActionPrefixes
(GList *) | - listMnemonicLabels
(void) | - map
(BOOL) | - mnemonicActivate:
(void) | - modifyBaseWithState:andColor:
(void) | - modifyBgWithState:andColor:
(void) | - modifyCursorWithPrimary:andSecondary:
(void) | - modifyFgWithState:andColor:
(void) | - modifyFont:
(void) | - modifyStyle:
(void) | - modifyTextWithState:andColor:
(void) | - overrideBackgroundColorWithState:andColor:
(void) | - overrideColorWithState:andColor:
(void) | - overrideCursorWithCursor:andSecondaryCursor:
(void) | - overrideFont:
(void) | - overrideSymbolicColorWithName:andColor:
(void) | - pathWithPathLength:andPath:andPathReversed:
(void) | - queueAllocate
(void) | - queueComputeExpand
(void) | - queueDraw
(void) | - queueDrawAreaWithX:andY:andWidth:andHeight:
(void) | - queueDrawRegion:
(void) | - queueResize
(void) | - queueResizeNoRedraw
(void) | - realize
(cairo_region_t *) | - regionIntersect:
(void) | - registerWindow:
(BOOL) | - removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:
(void) | - removeMnemonicLabel:
(void) | - removeTickCallback:
(GdkPixbuf *) | - renderIconWithStockId:andSize:andDetail:
(GdkPixbuf *) | - renderIconPixbufWithStockId:andSize:
(void) | - reparent:
(void) | - resetRcStyles
(void) | - resetStyle
(gint) | - sendExpose:
(BOOL) | - sendFocusChange:
(void) | - setAccelPathWithAccelPath:andAccelGroup:
(void) | - setAllocation:
(void) | - setAppPaintable:
(void) | - setCanDefault:
(void) | - setCanFocus:
(void) | - setChildVisible:
(void) | - setClip:
(void) | - setCompositeName:
(void) | - setDeviceEnabledWithDevice:andEnabled:
(void) | - setDeviceEventsWithDevice:andEvents:
(void) | - setDirection:
(void) | - setDoubleBuffered:
(void) | - setEvents:
(void) | - setFocusOnClick:
(void) | - setFontMap:
(void) | - setFontOptions:
(void) | - setHalign:
(void) | - setHasTooltip:
(void) | - setHasWindow:
(void) | - setHexpand:
(void) | - setHexpandSet:
(void) | - setMapped:
(void) | - setMarginBottom:
(void) | - setMarginEnd:
(void) | - setMarginLeft:
(void) | - setMarginRight:
(void) | - setMarginStart:
(void) | - setMarginTop:
(void) | - setName:
(void) | - setNoShowAll:
(void) | - setOpacity:
(void) | - setParent:
(void) | - setParentWindow:
(void) | - setRealized:
(void) | - setReceivesDefault:
(void) | - setRedrawOnAllocate:
(void) | - setSensitive:
(void) | - setSizeRequestWithWidth:andHeight:
(void) | - setState:
(void) | - setStateFlagsWithFlags:andClear:
(void) | - setStyle:
(void) | - setSupportMultidevice:
(void) | - setTooltipMarkup:
(void) | - setTooltipText:
(void) | - setTooltipWindow:
(void) | - setValign:
(void) | - setVexpand:
(void) | - setVexpandSet:
(void) | - setVisible:
(void) | - setVisual:
(void) | - setWindow:
(void) | - shapeCombineRegion:
(void) | - show
(void) | - showAll
(void) | - showNow
(void) | - sizeAllocate:
(void) | - sizeAllocateWithBaselineWithAllocation:andBaseline:
(void) | - sizeRequest:
(void) | - styleAttach
(void) | - styleGetPropertyWithPropertyName:andValue:
(void) | - styleGetValistWithFirstPropertyName:andVarArgs:
(void) | - thawChildNotify
(BOOL) | - translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:
(void) | - triggerTooltipQuery
(void) | - unmap
(void) | - unparent
(void) | - unrealize
(void) | - unregisterWindow:
(void) | - unsetStateFlags:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(void) | - setGObject:
(GObject *) | - GOBJECT

## Additional Inherited Members
Class Methods inherited from CGTKWidget
(GtkTextDirection) | + getDefaultDirection
(GtkStyle *) | + getDefaultStyle
(void) | + popCompositeChild
(void) | + pushCompositeChild
(void) | + setDefaultDirection:
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKTextView.h.

## Method Documentation

## ◆ addChildAtAnchorWithChild:andAnchor:()

- (void) addChildAtAnchorWithChild: |  | (CGTKWidget*) | child
andAnchor: |  | (GtkTextChildAnchor*) | anchor

-(void*)addChildAtAnchorWithChild:(CGTKWidget*) child andAnchor:(GtkTextChildAnchor*) anchor;

Parameters

  child |
  anchor |

Definition at line 65 of file CGTKTextView.m.

## ◆ addChildInWindowWithChild:andWhichWindow:andXpos:andYpos:()

- (void) addChildInWindowWithChild: |  | (CGTKWidget*) | child
andWhichWindow: |  | (GtkTextWindowType) | whichWindow
andXpos: |  | (gint) | xpos
andYpos: |  | (gint) | ypos

-(void*)addChildInWindowWithChild:(CGTKWidget*) child andWhichWindow:(GtkTextWindowType) whichWindow andXpos:(gint) xpos andYpos:(gint) ypos;

Parameters

  child |
  whichWindow |
  xpos |
  ypos |

Definition at line 70 of file CGTKTextView.m.

## ◆ backwardDisplayLine:()

- (BOOL) backwardDisplayLine: |  | (GtkTextIter*) | iter |

-(BOOL*)backwardDisplayLine: iter;

Parameters

  iter |

Returns
  BOOL

Definition at line 75 of file CGTKTextView.m.

## ◆ backwardDisplayLineStart:()

- (BOOL) backwardDisplayLineStart: |  | (GtkTextIter*) | iter |

-(BOOL*)backwardDisplayLineStart: iter;

Parameters

  iter |

Returns
  BOOL

Definition at line 80 of file CGTKTextView.m.

## ◆ bufferToWindowCoordsWithWin:andBufferX:andBufferY:andWindowX:andWindowY:()

- (void) bufferToWindowCoordsWithWin: |  | (GtkTextWindowType) | win
andBufferX: |  | (gint) | bufferX
andBufferY: |  | (gint) | bufferY
andWindowX: |  | (gint*) | windowX
andWindowY: |  | (gint*) | windowY

-(void*)bufferToWindowCoordsWithWin:(GtkTextWindowType) win andBufferX:(gint) bufferX andBufferY:(gint) bufferY andWindowX:(gint*) windowX andWindowY:(gint*) windowY;

Parameters

  win |
  bufferX |
  bufferY |
  windowX |
  windowY |

Definition at line 85 of file CGTKTextView.m.

## ◆ forwardDisplayLine:()

- (BOOL) forwardDisplayLine: |  | (GtkTextIter*) | iter |

-(BOOL*)forwardDisplayLine: iter;

Parameters

  iter |

Returns
  BOOL

Definition at line 90 of file CGTKTextView.m.

## ◆ forwardDisplayLineEnd:()

- (BOOL) forwardDisplayLineEnd: |  | (GtkTextIter*) | iter |

-(BOOL*)forwardDisplayLineEnd: iter;

Parameters

  iter |

Returns
  BOOL

Definition at line 95 of file CGTKTextView.m.

## ◆ getAcceptsTab()

- (BOOL) getAcceptsTab |  |  |

-(BOOL*)getAcceptsTab;

Returns
  BOOL

Definition at line 100 of file CGTKTextView.m.

## ◆ getBorderWindowSize:()

- (gint) getBorderWindowSize: |  | (GtkTextWindowType) | type |

-(gint*)getBorderWindowSize: type;

Parameters

  type |

Returns
  gint

Definition at line 105 of file CGTKTextView.m.

## ◆ getBottomMargin()

- (gint) getBottomMargin |  |  |

-(gint*)getBottomMargin;

Returns
  gint

Definition at line 110 of file CGTKTextView.m.

## ◆ getBuffer()

- (GtkTextBuffer *) getBuffer |  |  |

-(GtkTextBuffer**)getBuffer;

Returns
  GtkTextBuffer*

Definition at line 115 of file CGTKTextView.m.

## ◆ getCursorLocationsWithIter:andStrong:andWeak:()

- (void) getCursorLocationsWithIter: |  | (const GtkTextIter*) | iter
andStrong: |  | (GdkRectangle*) | strong
andWeak: |  | (GdkRectangle*) | weak

-(void*)getCursorLocationsWithIter:(const GtkTextIter*) iter andStrong:(GdkRectangle*) strong andWeak:(GdkRectangle*) weak;

Parameters

  iter |
  strong |
  weak |

Definition at line 120 of file CGTKTextView.m.

## ◆ getCursorVisible()

- (BOOL) getCursorVisible |  |  |

-(BOOL*)getCursorVisible;

Returns
  BOOL

Definition at line 125 of file CGTKTextView.m.

## ◆ getDefaultAttributes()

- (GtkTextAttributes *) getDefaultAttributes |  |  |

-(GtkTextAttributes**)getDefaultAttributes;

Returns
  GtkTextAttributes*

Definition at line 130 of file CGTKTextView.m.

## ◆ getEditable()

- (BOOL) getEditable |  |  |

-(BOOL*)getEditable;

Returns
  BOOL

Definition at line 135 of file CGTKTextView.m.

## ◆ getHadjustment()

- (GtkAdjustment *) getHadjustment |  |  |

-(GtkAdjustment**)getHadjustment;

Returns
  GtkAdjustment*

Definition at line 140 of file CGTKTextView.m.

## ◆ getIndent()

- (gint) getIndent |  |  |

-(gint*)getIndent;

Returns
  gint

Definition at line 145 of file CGTKTextView.m.

## ◆ getInputHints()

- (GtkInputHints) getInputHints |  |  |

-(GtkInputHints*)getInputHints;

Returns
  GtkInputHints

Definition at line 150 of file CGTKTextView.m.

## ◆ getInputPurpose()

- (GtkInputPurpose) getInputPurpose |  |  |

-(GtkInputPurpose*)getInputPurpose;

Returns
  GtkInputPurpose

Definition at line 155 of file CGTKTextView.m.

## ◆ getIterAtLocationWithIter:andX:andY:()

- (BOOL) getIterAtLocationWithIter: |  | (GtkTextIter*) | iter
andX: |  | (gint) | x
andY: |  | (gint) | y

-(BOOL*)getIterAtLocationWithIter:(GtkTextIter*) iter andX:(gint) x andY:(gint) y;

Parameters

  iter |
  x |
  y |

Returns
  BOOL

Definition at line 160 of file CGTKTextView.m.

## ◆ getIterAtPositionWithIter:andTrailing:andX:andY:()

- (BOOL) getIterAtPositionWithIter: |  | (GtkTextIter*) | iter
andTrailing: |  | (gint*) | trailing
andX: |  | (gint) | x
andY: |  | (gint) | y

-(BOOL*)getIterAtPositionWithIter:(GtkTextIter*) iter andTrailing:(gint*) trailing andX:(gint) x andY:(gint) y;

Parameters

  iter |
  trailing |
  x |
  y |

Returns
  BOOL

Definition at line 165 of file CGTKTextView.m.

## ◆ getIterLocationWithIter:andLocation:()

- (void) getIterLocationWithIter: |  | (const GtkTextIter*) | iter
andLocation: |  | (GdkRectangle*) | location

-(void*)getIterLocationWithIter:(const GtkTextIter*) iter andLocation:(GdkRectangle*) location;

Parameters

  iter |
  location |

Definition at line 170 of file CGTKTextView.m.

## ◆ getJustification()

- (GtkJustification) getJustification |  |  |

-(GtkJustification*)getJustification;

Returns
  GtkJustification

Definition at line 175 of file CGTKTextView.m.

## ◆ getLeftMargin()

- (gint) getLeftMargin |  |  |

-(gint*)getLeftMargin;

Returns
  gint

Definition at line 180 of file CGTKTextView.m.

## ◆ getLineAtYWithTargetIter:andY:andLineTop:()

- (void) getLineAtYWithTargetIter: |  | (GtkTextIter*) | targetIter
andY: |  | (gint) | y
andLineTop: |  | (gint*) | lineTop

-(void*)getLineAtYWithTargetIter:(GtkTextIter*) targetIter andY:(gint) y andLineTop:(gint*) lineTop;

Parameters

  targetIter |
  y |
  lineTop |

Definition at line 185 of file CGTKTextView.m.

## ◆ getLineYrangeWithIter:andY:andHeight:()

- (void) getLineYrangeWithIter: |  | (const GtkTextIter*) | iter
andY: |  | (gint*) | y
andHeight: |  | (gint*) | height

-(void*)getLineYrangeWithIter:(const GtkTextIter*) iter andY:(gint*) y andHeight:(gint*) height;

Parameters

  iter |
  y |
  height |

Definition at line 190 of file CGTKTextView.m.

## ◆ getMonospace()

- (BOOL) getMonospace |  |  |

-(BOOL*)getMonospace;

Returns
  BOOL

Definition at line 195 of file CGTKTextView.m.

## ◆ getOverwrite()

- (BOOL) getOverwrite |  |  |

-(BOOL*)getOverwrite;

Returns
  BOOL

Definition at line 200 of file CGTKTextView.m.

## ◆ getPixelsAboveLines()

- (gint) getPixelsAboveLines |  |  |

-(gint*)getPixelsAboveLines;

Returns
  gint

Definition at line 205 of file CGTKTextView.m.

## ◆ getPixelsBelowLines()

- (gint) getPixelsBelowLines |  |  |

-(gint*)getPixelsBelowLines;

Returns
  gint

Definition at line 210 of file CGTKTextView.m.

## ◆ getPixelsInsideWrap()

- (gint) getPixelsInsideWrap |  |  |

-(gint*)getPixelsInsideWrap;

Returns
  gint

Definition at line 215 of file CGTKTextView.m.

## ◆ getRightMargin()

- (gint) getRightMargin |  |  |

-(gint*)getRightMargin;

Returns
  gint

Definition at line 220 of file CGTKTextView.m.

## ◆ getTabs()

- (PangoTabArray *) getTabs |  |  |

-(PangoTabArray**)getTabs;

Returns
  PangoTabArray*

Definition at line 225 of file CGTKTextView.m.

## ◆ getTopMargin()

- (gint) getTopMargin |  |  |

-(gint*)getTopMargin;

Returns
  gint

Definition at line 230 of file CGTKTextView.m.

## ◆ getVadjustment()

- (GtkAdjustment *) getVadjustment |  |  |

-(GtkAdjustment**)getVadjustment;

Returns
  GtkAdjustment*

Definition at line 235 of file CGTKTextView.m.

## ◆ getVisibleRect:()

- (void) getVisibleRect: |  | (GdkRectangle*) | visibleRect |

-(void*)getVisibleRect: visibleRect;

Parameters

  visibleRect |

Definition at line 240 of file CGTKTextView.m.

## ◆ getWindow:()

- (GdkWindow *) getWindow: |  | (GtkTextWindowType) | win |

-(GdkWindow**)getWindow: win;

Parameters

  win |

Returns
  GdkWindow*

Definition at line 245 of file CGTKTextView.m.

## ◆ getWindowType:()

- (GtkTextWindowType) getWindowType: |  | (GdkWindow*) | window |

-(GtkTextWindowType*)getWindowType: window;

Parameters

  window |

Returns
  GtkTextWindowType

Definition at line 250 of file CGTKTextView.m.

## ◆ getWrapMode()

- (GtkWrapMode) getWrapMode |  |  |

-(GtkWrapMode*)getWrapMode;

Returns
  GtkWrapMode

Definition at line 255 of file CGTKTextView.m.

## ◆ imContextFilterKeypress:()

- (BOOL) imContextFilterKeypress: |  | (GdkEventKey*) | event |

-(BOOL*)imContextFilterKeypress: event;

Parameters

  event |

Returns
  BOOL

Definition at line 260 of file CGTKTextView.m.

## ◆ init()

- (id) init |  |  |

Constructors

Definition at line 36 of file CGTKTextView.m.

## ◆ moveChildWithChild:andXpos:andYpos:()

- (void) moveChildWithChild: |  | (CGTKWidget*) | child
andXpos: |  | (gint) | xpos
andYpos: |  | (gint) | ypos

-(void*)moveChildWithChild:(CGTKWidget*) child andXpos:(gint) xpos andYpos:(gint) ypos;

Parameters

  child |
  xpos |
  ypos |

Definition at line 265 of file CGTKTextView.m.

## ◆ moveMarkOnscreen:()

- (BOOL) moveMarkOnscreen: |  | (GtkTextMark*) | mark |

-(BOOL*)moveMarkOnscreen: mark;

Parameters

  mark |

Returns
  BOOL

Definition at line 270 of file CGTKTextView.m.

## ◆ moveVisuallyWithIter:andCount:()

- (BOOL) moveVisuallyWithIter: |  | (GtkTextIter*) | iter
andCount: |  | (gint) | count

-(BOOL*)moveVisuallyWithIter:(GtkTextIter*) iter andCount:(gint) count;

Parameters

  iter |
  count |

Returns
  BOOL

Definition at line 275 of file CGTKTextView.m.

## ◆ placeCursorOnscreen()

- (BOOL) placeCursorOnscreen |  |  |

-(BOOL*)placeCursorOnscreen;

Returns
  BOOL

Definition at line 280 of file CGTKTextView.m.

## ◆ resetCursorBlink()

- (void) resetCursorBlink |  |  |

-(void*)resetCursorBlink;

Definition at line 285 of file CGTKTextView.m.

## ◆ resetImContext()

- (void) resetImContext |  |  |

-(void*)resetImContext;

Definition at line 290 of file CGTKTextView.m.

## ◆ scrollMarkOnscreen:()

- (void) scrollMarkOnscreen: |  | (GtkTextMark*) | mark |

-(void*)scrollMarkOnscreen: mark;

Parameters

  mark |

Definition at line 295 of file CGTKTextView.m.

## ◆ scrollToIterWithIter:andWithinMargin:andUseAlign:andXalign:andYalign:()

- (BOOL) scrollToIterWithIter: |  | (GtkTextIter*) | iter
andWithinMargin: |  | (gdouble) | withinMargin
andUseAlign: |  | (BOOL) | useAlign
andXalign: |  | (gdouble) | xalign
andYalign: |  | (gdouble) | yalign

-(BOOL*)scrollToIterWithIter:(GtkTextIter*) iter andWithinMargin:(gdouble) withinMargin andUseAlign:(BOOL) useAlign andXalign:(gdouble) xalign andYalign:(gdouble) yalign;

Parameters

  iter |
  withinMargin |
  useAlign |
  xalign |
  yalign |

Returns
  BOOL

Definition at line 300 of file CGTKTextView.m.

## ◆ scrollToMarkWithMark:andWithinMargin:andUseAlign:andXalign:andYalign:()

- (void) scrollToMarkWithMark: |  | (GtkTextMark*) | mark
andWithinMargin: |  | (gdouble) | withinMargin
andUseAlign: |  | (BOOL) | useAlign
andXalign: |  | (gdouble) | xalign
andYalign: |  | (gdouble) | yalign

-(void*)scrollToMarkWithMark:(GtkTextMark*) mark andWithinMargin:(gdouble) withinMargin andUseAlign:(BOOL) useAlign andXalign:(gdouble) xalign andYalign:(gdouble) yalign;

Parameters

  mark |
  withinMargin |
  useAlign |
  xalign |
  yalign |

Definition at line 305 of file CGTKTextView.m.

## ◆ setAcceptsTab:()

- (void) setAcceptsTab: |  | (BOOL) | acceptsTab |

-(void*)setAcceptsTab: acceptsTab;

Parameters

  acceptsTab |

Definition at line 310 of file CGTKTextView.m.

## ◆ setBorderWindowSizeWithType:andSize:()

- (void) setBorderWindowSizeWithType: |  | (GtkTextWindowType) | type
andSize: |  | (gint) | size

-(void*)setBorderWindowSizeWithType:(GtkTextWindowType) type andSize:(gint) size;

Parameters

  type |
  size |

Definition at line 315 of file CGTKTextView.m.

## ◆ setBottomMargin:()

- (void) setBottomMargin: |  | (gint) | bottomMargin |

-(void*)setBottomMargin: bottomMargin;

Parameters

  bottomMargin |

Definition at line 320 of file CGTKTextView.m.

## ◆ setBuffer:()

- (void) setBuffer: |  | (GtkTextBuffer*) | buffer |

-(void*)setBuffer: buffer;

Parameters

  buffer |

Definition at line 325 of file CGTKTextView.m.

## ◆ setCursorVisible:()

- (void) setCursorVisible: |  | (BOOL) | setting |

-(void*)setCursorVisible: setting;

Parameters

  setting |

Definition at line 330 of file CGTKTextView.m.

## ◆ setEditable:()

- (void) setEditable: |  | (BOOL) | setting |

-(void*)setEditable: setting;

Parameters

  setting |

Definition at line 335 of file CGTKTextView.m.

## ◆ setIndent:()

- (void) setIndent: |  | (gint) | indent |

-(void*)setIndent: indent;

Parameters

  indent |

Definition at line 340 of file CGTKTextView.m.

## ◆ setInputHints:()

- (void) setInputHints: |  | (GtkInputHints) | hints |

-(void*)setInputHints: hints;

Parameters

  hints |

Definition at line 345 of file CGTKTextView.m.

## ◆ setInputPurpose:()

- (void) setInputPurpose: |  | (GtkInputPurpose) | purpose |

-(void*)setInputPurpose: purpose;

Parameters

  purpose |

Definition at line 350 of file CGTKTextView.m.

## ◆ setJustification:()

- (void) setJustification: |  | (GtkJustification) | justification |

-(void*)setJustification: justification;

Parameters

  justification |

Definition at line 355 of file CGTKTextView.m.

## ◆ setLeftMargin:()

- (void) setLeftMargin: |  | (gint) | leftMargin |

-(void*)setLeftMargin: leftMargin;

Parameters

  leftMargin |

Definition at line 360 of file CGTKTextView.m.

## ◆ setMonospace:()

- (void) setMonospace: |  | (BOOL) | monospace |

-(void*)setMonospace: monospace;

Parameters

  monospace |

Definition at line 365 of file CGTKTextView.m.

## ◆ setOverwrite:()

- (void) setOverwrite: |  | (BOOL) | overwrite |

-(void*)setOverwrite: overwrite;

Parameters

  overwrite |

Definition at line 370 of file CGTKTextView.m.

## ◆ setPixelsAboveLines:()

- (void) setPixelsAboveLines: |  | (gint) | pixelsAboveLines |

-(void*)setPixelsAboveLines: pixelsAboveLines;

Parameters

  pixelsAboveLines |

Definition at line 375 of file CGTKTextView.m.

## ◆ setPixelsBelowLines:()

- (void) setPixelsBelowLines: |  | (gint) | pixelsBelowLines |

-(void*)setPixelsBelowLines: pixelsBelowLines;

Parameters

  pixelsBelowLines |

Definition at line 380 of file CGTKTextView.m.

## ◆ setPixelsInsideWrap:()

- (void) setPixelsInsideWrap: |  | (gint) | pixelsInsideWrap |

-(void*)setPixelsInsideWrap: pixelsInsideWrap;

Parameters

  pixelsInsideWrap |

Definition at line 385 of file CGTKTextView.m.

## ◆ setRightMargin:()

- (void) setRightMargin: |  | (gint) | rightMargin |

-(void*)setRightMargin: rightMargin;

Parameters

  rightMargin |

Definition at line 390 of file CGTKTextView.m.

## ◆ setTabs:()

- (void) setTabs: |  | (PangoTabArray*) | tabs |

-(void*)setTabs: tabs;

Parameters

  tabs |

Definition at line 395 of file CGTKTextView.m.

## ◆ setTopMargin:()

- (void) setTopMargin: |  | (gint) | topMargin |

-(void*)setTopMargin: topMargin;

Parameters

  topMargin |

Definition at line 400 of file CGTKTextView.m.

## ◆ setWrapMode:()

- (void) setWrapMode: |  | (GtkWrapMode) | wrapMode |

-(void*)setWrapMode: wrapMode;

Parameters

  wrapMode |

Definition at line 405 of file CGTKTextView.m.

## ◆ startsDisplayLine:()

- (BOOL) startsDisplayLine: |  | (const GtkTextIter*) | iter |

-(BOOL*)startsDisplayLine: iter;

Parameters

  iter |

Returns
  BOOL

Definition at line 410 of file CGTKTextView.m.

## ◆ TEXTVIEW()

- (GtkTextView *) TEXTVIEW |  |  |

Methods

Definition at line 60 of file CGTKTextView.m.

## ◆ windowToBufferCoordsWithWin:andWindowX:andWindowY:andBufferX:andBufferY:()

- (void) windowToBufferCoordsWithWin: |  | (GtkTextWindowType) | win
andWindowX: |  | (gint) | windowX
andWindowY: |  | (gint) | windowY
andBufferX: |  | (gint*) | bufferX
andBufferY: |  | (gint*) | bufferY

-(void*)windowToBufferCoordsWithWin:(GtkTextWindowType) win andWindowX:(gint) windowX andWindowY:(gint) windowY andBufferX:(gint*) bufferX andBufferY:(gint*) bufferY;

Parameters

  win |
  windowX |
  windowY |
  bufferX |
  bufferY |

Definition at line 415 of file CGTKTextView.m.

The documentation for this class was generated from the following files:

- CGTKTextView.h
- CGTKTextView.m